# Class: module:org/locationtech/jts/io/OL3Parser

## module:org/locationtech/jts/io/OL3Parser(geometryFactory, olReference)

#### new module:org/locationtech/jts/io/OL3Parser(geometryFactory, olReference)

OpenLayers Geometry parser and writer

##### Parameters:

Name | Type | Description
--- | --- | ---
`geometryFactory` | GeometryFactory |
`olReference` | ol |

Source:
  - org/locationtech/jts/io/OL3Parser.js, line 18

### Methods

#### inject()

Inject OpenLayers geom classes

Source:
  - org/locationtech/jts/io/OL3Parser.js, line 26

#### read(geometry) → {Geometry}

##### Parameters:

Name | Type | Description
--- | --- | ---
`geometry` | ol.geom.Geometry |

Source:
  - org/locationtech/jts/io/OL3Parser.js, line 39

##### Returns:

Type
  Geometry

#### write(geometry) → {ol.geom.Geometry}

##### Parameters:

Name | Type | Description
--- | --- | ---
`geometry` | Geometry |

Source:
  - org/locationtech/jts/io/OL3Parser.js, line 126

##### Returns:

Type
  ol.geom.Geometry